# Why Should You Think Like an Economist?

https://podcasts.apple.com/gb/podcast/why-should-you-think-like-an-economist/id1523898793?i=1000487091931

## Ad-free podcasts with Amazon Music

 Hey podcast listeners! Have you heard? You can listen to your favourite podcast ad-free. Good news! With Amazon Music, you have access to the largest catalogue of ad-free top podcasts included with your Prime membership. To start listening, download the Amazon Music app for free or go to amazon.co.uk slash ad-free podcasts. That's amazon.co.uk slash ad-free podcasts to catch up on the latest episodes with us. You can find out the ads. Himalaya. You're listening to Think Like an Economist, a Himalaya Learning Production. For exclusive content like bonus episodes and extra material, go to himalaya.com and enter promo code ECON, E-C-O-N, at checkout to get your first 14 days free. 

## Think Like an Economist Podcast Intro

It's time to Think Like an Economist. I don't regret anything I've ever done. Why would you? You're such an economist. Is this a thing? Do economists really die without having any regrets? Pretty much. So we'll teach you how to be so chilled out on our podcast, Think Like an Economist. 

I'm Betsy Stevenson. And I'm Justin Wolfers. We're both economists. And apart from teaching and writing together, we also have two children together, Matilda and Oliver. And we're both professors of economics and public policy at the University of Michigan. And I've advised on policy around the world. And you may have read my views in the New York Times and elsewhere. We've also taught in my home city of Sydney, at Wharton, at Princeton. And I advised President Obama as a member of the Council of Economic Advisors. And I was chief economist at the Department of Labor. Look, we've written a textbook called Principles of Economics. Now, through this podcast, we're going to teach you the tools for how to make the best decisions. Decisions tailored to your life and decisions that will leave you without regrets. And journalist and former economics student Nazteran Tavrakoli-Farr will join us for this journey. So I'm really excited for us to dive in. This podcast is called Think Like an Economist. So why should we learn to think like an economist? 

When you learn to think like an economist, you learn to make the best possible decision you can. When you make the best possible decision you can, you have no regrets because you know that you've taken all the information you had and made the best possible choice for you. Yeah. And is that really the case for you as well, Justin? Do you feel like you've never regretted anything you've done? 

I've regretted not thinking like an economist. 

Oh, interesting. Look, Naz, economics is a powerful lens. It's a set of tools. It's a way to see the world and it's a way to better understand its structure. Sometimes things aren't going to play out the way you want them to. But when you learn to think like an economist, you consider the costs and the benefits and you make the best choice you can. And once you've done that, be proud of it. 

So we've heard a little bit about why we should learn how to think like an economist and how are we going to learn that on this podcast? 

Look, the truth is economics, which sounds complicated, can actually be boiled down to just a few simple ideas or tools. In order to see how you use these tools, we're going to be talking to real life people like yourself and seeing how they use the tools of economics in their everyday to make better decisions. 

A little known fact about economics is that it's really useful. And I don't mean useful just for people setting policy or for the macro economy or financial markets. I mean useful in your everyday life. 

The hidden secret about economics is economics isn't that hard. Economists just try to make it sound that way so we sound fancy. So we're just going to strip the subject back, understand the basics and see how we can build a deeper understanding about the world around you from just a few simple tools. And look, if you've ever made a pro and con list as you tried to make a decision, then you're already thinking like an economist. You're thinking about costs and benefits. What we're going to do is help you identify some of the costs that people often overlook, in particular, the thing you give up anytime you do something. 

You're talking about the opportunity cost principle there, Betsy, one of my favorites. It's a key idea, maybe the key idea in economics, which is the true cost of some things, not what you pay out of your pocket, but it's the thing you give up, the thing you can't do because you're doing something else. And that's so important because we're going to talk about the cost-benefit principle. How can you make a decision without weighing the costs and benefits? But you're not going to make a very good decision unless you make sure that you're counting only the true costs and benefits. And next time you're at a dinner party with economists, what you need to do is just lean back in the chair and say, are you thinking at the margin? It'll impress him every time. 

So given all this, I'm wondering, are there any tough decisions you've made in your own lives, Betsy and Justin, where you've really thought like an economist? 

## Deciding When to Have Kids

Well, you get personal very quickly here, Naz, but let's go there. I'd met this young lass. Her name was Betsy. She was an economist. Things were going well in our lives. I liked her. I kind of thought she liked me. We thought maybe we could have a baby. And there's a question that many of us face in our lives. What's the optimal age at which to become a mother or a father? People wrestle with this question, and I'll tell you why. There's a good reason. When you delay having kids, you're giving yourself the longest possible runway you can to have your career take off. The problem is if you delay having your kids, you're going to give yourself the shortest possible runway to have your kids take off. And so how do you balance those two? How do you think about prioritizing your career and really focusing on that when you're young, but not missing out on something that might be really important to you, like having children? 

Look, Betsy and I wrestled with that decision, and like everything, it came down to benefits and costs. In the end, we decided to have kids relatively late in our lives, in our late 30s. 

Betsy, what were the benefits of that? 

Well, the benefit was that we both were much further along in our career. It was much more established. By the time we had children, we were more financially secure and had a better sense of where we were going to live and how we were going to work. The cost was, you know, it's not that easy to get pregnant when you wait until you're a little bit older. Tick, tick, tick, tick, tick, tick, tick. So it worked out. We still got to have the two kids that we wanted to have. The thing was, knowing that we had made this decision and knowing that we had put more of the risk on the kids' side than the career side, that was a conscious choice. That also managed to keep us pretty chill and calm as we went through that process of having children at older ages. But let me be clear, you might make a different decision than we did, and that's okay. In fact, it's going to reflect what matters to you. If your benefits and your costs are different, your decision should be different. What's really important is that you don't make a decision that you then later regret. You have to make your choices knowing what you currently know, and you're going to face a lot of risk and uncertainty in your life. So you make the best decision you can, fully looking that risk in the eye so that you don't have to feel regret if things don't turn out the way they want. 

Now here, it's easy for us to have this discussion because we did end up having two amazing children. But there are other choices we've made where, you know, things did go south, but it was still okay because we made the best decision we could. 

## Economics:  Sunk Costs and Inflation

So come on, Naz, you must have an important decision to you that you could apply some economics to. I don't know about important decisions, but I often will stop reading a book if I'm just bored or I'll leave a movie if I'm just not enjoying it. And I always find it really weird when I talk to a friend and they're like, I'm reading this book, I can't stand it, but I've started so I might as well finish. And I don't understand why you do that. It really annoys me. 

Naz, you're right, they're wrong. You're thinking like an economist. I'm like sunk costs, right? You're never going to get that time back. 

Exactly. You know, the thing about economists is economists are very forward looking. And I think that's exactly where you get this sort of no regrets aspect of economic thinking is that economists aren't like, oh, yeah, but I spent all this money on a movie ticket. They're like, I got an hour in front of me. How can I get the most out of that hour? It doesn't matter whether I spent 10 bucks on a movie ticket. That's gone. The question is, how can I just get the most juice out of my days? That means ignoring the sunk costs. 

Exactly. Because you're never going to get that time back. And I'm wondering, as economists, you must look at so many decisions that people make and think, hmm, they could have handled that better. Are there sort of any common mistakes people make that they're going to stop making once they learn how to think like an economist? 

I had a dear running friend of mine in the middle of wage negotiations with his boss, needed to negotiate a new contract. We were going for a long run and we were going to talk about it. And he turned up really proud and really happy. He said, I've been offered a five-year contract and they're going to offer me an 8% wage rise over the term of the contract. And I looked at him and I said, five years, huh? Well, if inflation is 2% per year over that five years, the average price level will have risen 10%. Your boss is only offering you an 8% nominal wage rise. In real terms, in terms of how much you can buy, your boss just offered to cut your wage. People often get confused when it comes to inflation, particularly with their wage. So if we're running 2%, 3% inflation in a year and you get a 2% raise from your boss, you pat yourself on the back. The reality is they're really just inflation adjusting your wages. You want to go back and say to your boss, like, I'm glad you're helping me keep up with inflation here so that my wages stay the same. But I actually think that I'm bringing more in and I'd like a real wage gain. How much stuff can you buy with your money? That's what really matters, not the numbers on your paycheck. And this is a story with a happy ending. I explained all this to my friend and he went back to his boss and he said, well, we all understand the cost of living is going to rise by 10%. So obviously my wage needs to catch up with that. But we also think that I'm doing a really great job and so that my real wage, my inflation adjusted wage should be rising over time. Let's talk about by how much. And I tell you what, that friend of mine got a pretty good raise at the end of that and he's several thousand dollars richer as a result. That's awesome. All because of you. Well, because of the power of economics. So I'm just wondering, I've been speaking to loads of people getting real life stories and something that's come up a few times is this notion that right now we're in a pandemic. And people who are thinking of going to graduate school are asking, should I go this year? Should I put that off? I'm wondering, as economists, how would you help them to make this decision? Well, I think the thing that's really salient to them is that the school experience is just not going to be as good. In a best case scenario, they're going to be facing probably some sort of hybrid school or some sort of situation where they have to socially distance. It's not going to be parties and getting together with friends. It's just not going to be the same experience. So the benefit of going to school doesn't seem as great to them. So that's only half the story, though. And when you think about the other half, plot twist, it's all going to change because you're thinking, should I go to graduate school or what? Well, for some people, it's should I go to graduate school or travel the world for a year? But during a pandemic, no one's going to be traveling the world. For others, it's should I go to graduate school or work? But at the time of record high unemployment, lots of people aren't working. And you're unlikely to get that promotion if you stay in your job because very few people are going to get promotions. So the alternative to going to graduate school just got a whole lot worse. The opportunity cost, that is to say the true cost of going to graduate school, has actually gone down. Because the true cost of going to graduate school is the thing that you give up, the thing you would be doing instead. And basically, those things have also gotten worse, just like school has gotten worse. So my advice actually is, even though colleges will look like a pretty grim place, your best choice may well be going back to university. And that's because the other options got even worse. You know, one way of putting it, it's not a popular way of putting it. Going to university might just be your least bad option right now. 

## Economists Embrace Passive Investing

So how exactly do economists manage their portfolios? 

The reality is that economists are pretty boring when it comes to managing their retirement savings. They tend to invest in a very passive way because economists have learned a fact that I hope all our listeners learn, which is it's really hard to beat the market. And what we see is active traders tend to lose more money than they make. That's really surprising. But it is fitting in with this image of economists being quite chilled out and not being frantic or anything. Well, you know, there is that old joke about economists that two economists are walking down the street and see a hundred dollar bill. One of them says to the other one, aren't you going to pick that up? And he says, no, because if it was really there, it would already be picked up by now. And the joke is because economists don't really believe that there's a lot of free hundred dollar bills lying around on the sidewalk. And that's why they don't spend their time trying to shuffle their money around in the stock market, trying to find those free hundred dollar bills. They just really aren't there. 

## Podcast explores economics from micro to macro

Okay, so we've got a lot to get through on this podcast. We've got over 30 episodes coming up. What can we expect next? We're going to start with the basic tools of economics and then it's time to start applying them to understanding important public policy questions about labor markets and inequality in the environment, about how businesses operate, set their prices and decide what to produce and how much. And then we'll widen our lens to the macro economy, thinking about the economic big picture, unemployment, inflation, economic growth, and we'll turn to monetary policy and fiscal policy to think about how governments can help steer the macro economy. And along the way, we'll have some of our famous economist friends join us to help you learn to think like an economist. I'm really looking forward to it. 

Betsy Stevenson and Justin Wolfers, thanks for helping me to think like an economist. 

## Support This Podcast on Himalaya Learning

Hey, to get the most out of this show, check out our bonus episodes and supplemental materials available only on the Himalaya Learning platform. 

Himalaya Learning provides bite-sized courses from world-class thinkers and industry experts for you to enjoy in the app, on the go. To access exclusive content for this show and others like it, go to himalaya.com and enter promo code ECON, E-C-O-N, at checkout for your first 14 days free. It's time to think like an economist.